Subject: Re: Bonding with tun-devices

From: Veaceslav Falico <[email-masked]>
Date: Thu, 22 May 2014 17:00:25 +0200

On Thu, May 22, 2014 at 03:50:05PM +0100, Linus Gasser wrote:
>Le 22/05/14 14:24, Veaceslav Falico a écrit :
>>A workaround would be to use tap devices, as they're more "real" and
>>support mac address setting.
>
>OK, what can I say - thank you for helping me not to have fiddled 
>around with it more than needed ;) If you manage to support 
>non-mac-connections, this would be great, of course. Else I'll have 
>to try Openvpn which supports tap-devices.

Quick googling says that ssh -o Tunnel=ethernet creates a tap device, so no
need for openvpn. Disclaimer - I've never actually tried it, so dunno if
it'll work.

I'll add you on CC once the patch supporting tun is sent.

Hope that helps.

>Thanks for your efforts